Subject: RE: [hackers-il] without typing there can be no (computer) hackin g

From: Omer Musaev <[email-masked]>
Date: Wed, 5 Dec 2001 15:05:52 +0200

> -----Original Message-----
> From: mulix [mailto:[email-masked]]
> Sent: Wednesday, December 05, 2001 2:38 PM
> To: [email-masked]
> Subject: [hackers-il] without typing there can be no 
> (computer) hacking
> 
> 
> in a flash of inspiration i just realized the wrist pain i've been
> feeling occasionally lately is due to my bad typing practices. in an
> effort to mend my ways and save my wrists, i'm looking for
> 
> 1. guides on proper typing theory (finger placement, etc). i used to
> know this stuff (even learned it in school in the u.s.), but 
> i no longer
> remember much, except for where you should place your fingers.

Look at: http://www.jwz.org/gruntle/wrists.html .
Besides a nice observations on wrist pain problem and its solution, it has 
many links to theoretical observation and practical suggestions.

> 
> 2. programs for excersizing typing, like the old "arnevet" 
> programs, if
> anyone remembers that.

I do not remember "arnevet", but I do know one such a program: it is 
called "typist". At least this is the name of Debian package that carries
that.s
If you happen to be a Debian user with a connection to the world, then 
"apt-get install typist" will do the trick. Otherwise, go to
http://packages.debian.org/typist
get the source and enjoy...

> 3. hints on hardware. anyone has experience with a dvorak 
> keyboad? good
> qwerty keyboards?

Did not have any exp. with Dvojak, but I do use MS Natural (both at home and
at 
work). It is wonderful keyboard as soon as you get used to it. When I do
have to 
type on "plain old" keyboard ( which is often both old and plain :), I do
experience
incomfort in wrists, shoulders, arms, back and neck. 

Yes, shoulders, arms, back and neck. 
The reason is when I have to touch-type on un-split keyboard, I have to put
my 
shoulders closer, and this stretches the back, the neck and the arms.

However, MS Natural is not the best keyboard I ever used. The best is MS
Natural - the first 
generation. It had a wonderful tilt forward, i.e. its back ( the edge closer
to monitor )
was lower than its front ( the edge closer to chair-keyboard adapter :).
This was 
wonderful. The bad thing is that the keyboard was not designed as a robust
one, and went 
dead pretty soon ( 2 years )....
 
> thanks in advance...

P.S. 
As jwz states, and I second that, chances are that your monitor is too low. 
You can go with 2 bricks of "Visual Basic Version 1.1 Beta in 1889 pages and

23.234 days", or similar junk books. I had achieved having a cool disk silo
under a monitor. 

P.P.S.
If you would ask me for a monitor stand half a year earlier, you would get 
a Sparc Clasic - the Ultimate Doorstop (tm) :)))

> -- 
> mulix
> 
> http://www.pointer.co.il/~mulix/
> http://syscalltrack.sf.net/
> 
> 
> 
> ------------------------ Yahoo! Groups Sponsor 
> ---------------------~-->
> See What You've Been Missing!
> Amazing Wireless Video Camera.
> Click here
> http://us.click.yahoo.com/75YKVC/7.PDAA/ySSFAA/saFolB/TM
> --------------------------------------------------------------
> -------~->
> 
> To unsubscribe from this group, send an email to:
> [email-masked]
> 
>  
> 
> Your use of Yahoo! Groups is subject to 
> http://docs.yahoo.com/info/terms/ 
> 
>

---

From: "Orna Shemesh" <[email-masked]>
Date: Mon, 10 Dec 2001 13:02:46 +0200

> dead pretty soon ( 2 years )....
i have experiance with both the old generation and the new MS keyboard.
true, the old one was far better, especially because it did NOT fit into the
monterous drawers-for-keyboards: it was wide enough to split the keyboard
and to have the arrows and page-up etc. be located correctly. i have it
since 1997, and it is under intensive use. no problems yet.
(the only problem is i could not get it anymore, so i got the new generation
at home)

another miracle i got at Fry's (did not see it in Israel) is a great wrist
wrap, better than Uriel's. Uriel's are based on a metal strap inserted
inside the cloth, and it is hard to work with. the thing i got at Fry's has
a plastic skeleton, and a strap to make it tighter. it helps to hold the
mouse wrist from dangling in the air, and i also found that once your wrist
hurts, it eases the pain.

also- a silicon ball to strengthen your finger muscles, and a silicon pad to
place in front of the mouse, to avoid keeping your hand in the air.

all three last aids have become redundant since i found the following magic:

a large, optical trackball, for which i needed to work for quite some time
on my thumb muscles, but since i learned to control it, i have no pains at
all. Logitech TrackMan Marble Wheel. and i tried about 50 trackballs at
Fry's before i took it.

orna.